SCHED_SETSCHEDULER(9)

NAME
sched_setscheduler - change the scheduling policy and/or RT priority of a thread.

SYNOPSIS

int sched_setscheduler(struct task_struct * p, int policy, const struct sched_param * param);

ARGUMENTS

p
    the task in question.

policy
    new policy.

param
    structure containing the new RT priority.

RETURN

0 on success. An error code otherwise.

NOTE that the task may be already dead.

COPYRIGHT